package pp.s1184725.boppi;
import static pp.s1184725.boppi.BasicLexer.*;

import pp.iloc.eval.Machine;

public enum SimpleType {
	INT(Machine.INT_SIZE), CHAR(Machine.DEFAULT_CHAR_SIZE), BOOL(Machine.INT_SIZE), VOID(0);
	
	private final int size;
	
	public int getSize() {
		return size;
	}
	
	private SimpleType(int typeSize) {
		size = typeSize;
	}
	
	public static SimpleType fromToken(int token) {
		switch (token) {
		case INTTYPE:
			return SimpleType.INT;

		case CHARTYPE:
			return SimpleType.CHAR;

		case BOOLTYPE:
			return SimpleType.BOOL;

		default:
			return SimpleType.VOID;
		}
	}
}
